import { ElementRef, NgZone } from '@angular/core';
import { AppBarHelpButtonComponent as AppBarHelpButtonComponentCustomElement } from '@tylertech/forge';
import * as i0 from "@angular/core";
/**  */
export declare class AppBarHelpButtonComponent {
    protected elementRef: ElementRef<AppBarHelpButtonComponentCustomElement>;
    protected zone: NgZone;
    /** The forge-app-bar-help-button element. */
    readonly nativeElement: AppBarHelpButtonComponentCustomElement;
    /** The menu options to display when the button is clicked */
    set options(value: AppBarHelpButtonComponentCustomElement['options']);
    get options(): AppBarHelpButtonComponentCustomElement['options'];
    /** The name of an alternative icon to display. */
    set icon(value: AppBarHelpButtonComponentCustomElement['icon']);
    get icon(): AppBarHelpButtonComponentCustomElement['icon'];
    constructor();
    static ɵfac: i0.ɵɵFactoryDeclaration<AppBarHelpButtonComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<AppBarHelpButtonComponent, "forge-app-bar-help-button", never, { "options": { "alias": "options"; "required": false; }; "icon": { "alias": "icon"; "required": false; }; }, {}, never, ["*"], false, never>;
}
