import { StaticProvider } from '@angular/core';
import { ControlValueAccessor } from '@angular/forms';
import { IChipSelectEventData } from '@tylertech/forge';
import * as i0 from "@angular/core";
export declare const CHIP_VALUE_ACCESSOR: StaticProvider;
export declare class ChipValueAccessor implements ControlValueAccessor {
    private _elementRef;
    private _renderer;
    chipSelect(event: CustomEvent<IChipSelectEventData>): void;
    blur(): void;
    onChange: (_: any) => void;
    onTouched: () => void;
    writeValue(value: any): void;
    registerOnChange(fn: (_: boolean) => void): void;
    registerOnTouched(fn: () => void): void;
    setDisabledState(isDisabled: boolean): void;
    change(value: any): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<ChipValueAccessor, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<ChipValueAccessor, "forge-chip[value][formControlName],forge-chip[value][formControl],forge-chip[value][ngModel]", never, {}, {}, never, never, false, never>;
}
