import { Observable } from 'rxjs';
import { ComponentRef } from '@angular/core';
import { IDialogBeforeCloseEventData, IDialogComponent } from '@tylertech/forge';
export declare class DialogRef<TComponent = any, TResult = any> {
    private readonly _elementRef;
    private readonly _afterClosed;
    afterClosed: Observable<TResult | undefined>;
    private readonly _beforeClose;
    beforeClose: Observable<CustomEvent<IDialogBeforeCloseEventData>>;
    componentInstance: TComponent;
    componentRef: ComponentRef<TComponent>;
    constructor(instance: IDialogComponent);
    close(result?: TResult): void;
    get nativeElement(): IDialogComponent;
    get isClosed(): boolean;
}
