import { ElementRef, NgZone } from '@angular/core';
import { RadioGroupComponent as RadioGroupComponentCustomElement } from '@tylertech/forge';
import * as i0 from "@angular/core";
/**  */
export declare class RadioGroupComponent {
    protected elementRef: ElementRef<RadioGroupComponentCustomElement>;
    protected zone: NgZone;
    /** The forge-radio-group element. */
    readonly nativeElement: RadioGroupComponentCustomElement;
    /** Controls whether the radio group is disabled. */
    set disabled(value: RadioGroupComponentCustomElement['disabled']);
    get disabled(): RadioGroupComponentCustomElement['disabled'];
    constructor();
    static ɵfac: i0.ɵɵFactoryDeclaration<RadioGroupComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<RadioGroupComponent, "forge-radio-group", never, { "disabled": { "alias": "disabled"; "required": false; }; }, {}, never, ["*"], false, never>;
    static ngAcceptInputType_disabled: unknown;
}
