import { StaticProvider } from '@angular/core';
import { ControlValueAccessor } from '@angular/forms';
import * as i0 from "@angular/core";
export declare const TIME_PICKER_VALUE_ACCESSOR: StaticProvider;
export declare class TimePickerValueAccessor implements ControlValueAccessor {
    private _elementRef;
    private _renderer;
    timePickerChange(event: CustomEvent<string | null>): void;
    blur(): void;
    onChange: (_: any) => void;
    onTouched: () => void;
    writeValue(value: any): void;
    registerOnChange(fn: (_: boolean) => void): void;
    registerOnTouched(fn: () => void): void;
    setDisabledState(isDisabled: boolean): void;
    change(value: string | null): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<TimePickerValueAccessor, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<TimePickerValueAccessor, "forge-time-picker[formControlName],forge-time-picker[formControl],forge-time-picker[ngModel]", never, {}, {}, never, never, false, never>;
}
