import { ElementRef, NgZone } from '@angular/core';
import { DeprecatedIconButtonComponent as DeprecatedIconButtonComponentCustomElement } from '@tylertech/forge';
import * as i0 from "@angular/core";
/**  */
export declare class DeprecatedIconButtonComponent {
    protected elementRef: ElementRef<DeprecatedIconButtonComponentCustomElement>;
    protected zone: NgZone;
    /** The forge-deprecated-icon-button element. */
    readonly nativeElement: DeprecatedIconButtonComponentCustomElement;
    set disabled(value: DeprecatedIconButtonComponentCustomElement['disabled']);
    get disabled(): DeprecatedIconButtonComponentCustomElement['disabled'];
    set toggle(value: DeprecatedIconButtonComponentCustomElement['toggle']);
    get toggle(): DeprecatedIconButtonComponentCustomElement['toggle'];
    set isOn(value: DeprecatedIconButtonComponentCustomElement['isOn']);
    get isOn(): DeprecatedIconButtonComponentCustomElement['isOn'];
    set densityLevel(value: DeprecatedIconButtonComponentCustomElement['densityLevel']);
    get densityLevel(): DeprecatedIconButtonComponentCustomElement['densityLevel'];
    focus(...args: Parameters<DeprecatedIconButtonComponentCustomElement['focus']>): ReturnType<DeprecatedIconButtonComponentCustomElement['focus']>;
    constructor();
    static ɵfac: i0.ɵɵFactoryDeclaration<DeprecatedIconButtonComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DeprecatedIconButtonComponent, "forge-deprecated-icon-button", never, { "disabled": { "alias": "disabled"; "required": false; }; "toggle": { "alias": "toggle"; "required": false; }; "isOn": { "alias": "isOn"; "required": false; }; "densityLevel": { "alias": "densityLevel"; "required": false; }; }, {}, never, ["*"], false, never>;
    static ngAcceptInputType_disabled: unknown;
    static ngAcceptInputType_toggle: unknown;
    static ngAcceptInputType_isOn: unknown;
    static ngAcceptInputType_densityLevel: unknown;
}
