import { ElementRef, NgZone } from '@angular/core';
import { KeyItemComponent as KeyItemComponentCustomElement } from '@tylertech/forge';
import * as i0 from "@angular/core";
/**  */
export declare class KeyItemComponent {
    protected elementRef: ElementRef<KeyItemComponentCustomElement>;
    protected zone: NgZone;
    /** The forge-key-item element. */
    readonly nativeElement: KeyItemComponentCustomElement;
    /** Whether the label and value dislay on one line. */
    set inline(value: KeyItemComponentCustomElement['inline']);
    get inline(): KeyItemComponentCustomElement['inline'];
    constructor();
    static ɵfac: i0.ɵɵFactoryDeclaration<KeyItemComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<KeyItemComponent, "forge-key-item", never, { "inline": { "alias": "inline"; "required": false; }; }, {}, never, ["*"], false, never>;
    static ngAcceptInputType_inline: unknown;
}
