import { ElementRef, NgZone } from '@angular/core';
import { MiniDrawerComponent as MiniDrawerComponentCustomElement } from '@tylertech/forge';
import * as i0 from "@angular/core";
/**  */
export declare class MiniDrawerComponent {
    protected elementRef: ElementRef<MiniDrawerComponentCustomElement>;
    protected zone: NgZone;
    /** The forge-mini-drawer element. */
    readonly nativeElement: MiniDrawerComponentCustomElement;
    /** The drawer will expand open when hovered. */
    set hover(value: MiniDrawerComponentCustomElement['hover']);
    get hover(): MiniDrawerComponentCustomElement['hover'];
    /** Toggles whether the drawer is visible or not. */
    set open(value: MiniDrawerComponentCustomElement['open']);
    get open(): MiniDrawerComponentCustomElement['open'];
    /** Controls the layout and animation direction of the drawer for positioning on the left vs. right side of the screen when toggling the `open` attribute. */
    set direction(value: MiniDrawerComponentCustomElement['direction']);
    get direction(): MiniDrawerComponentCustomElement['direction'];
    constructor();
    static ɵfac: i0.ɵɵFactoryDeclaration<MiniDrawerComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<MiniDrawerComponent, "forge-mini-drawer", never, { "hover": { "alias": "hover"; "required": false; }; "open": { "alias": "open"; "required": false; }; "direction": { "alias": "direction"; "required": false; }; }, {}, never, ["*"], false, never>;
    static ngAcceptInputType_hover: unknown;
    static ngAcceptInputType_open: unknown;
}
